using data.RemoteData;
using Data.Repository;
using domain;
using Microsoft.Extensions.DependencyInjection;
using ui;

IServiceCollection services = new ServiceCollection();

services
    .AddDbContext<RemoteDataBaseContext>()
    .AddSingleton<IGroupRepository, SQLGroupRepositoryImpl>()
    .AddSingleton<GroupUseCase>()
    .AddSingleton<GroupUI>();

var serviceProvider = services.BuildServiceProvider();  

GroupUI groupUI = serviceProvider.GetService<GroupUI>();

groupUI.AddGroup();